Bug 1210898

Summary: Eclipse tries to use non-existent Mozilla (xulrunner) browser
Product: [Fedora] Fedora Reporter: Roland Grunberg <rgrunber>
Component: eclipseAssignee: Mat Booth <mat.booth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 23CC: akurtako, andjrobins, eclipse-sig, jerboaa, krzysztof.daniel, mat.booth, msimacek, rgrunber
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: eclipse-4.6.0-0.6.git201605092000.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-20 17:42:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Roland Grunberg 2015-04-10 20:33:51 UTC
It looks like the user has some jboss-tools plugins installed that ultimately try to bring up the browser. When it come sup, the user sees errors regarding missing libswt-xulrunner. The call would seem to originate from https://github.com/jbosstools/jbosstools-base/blob/master/runtime/plugins/org.jboss.tools.runtime.ui/src/org/jboss/tools/runtime/ui/internal/wizard/DownloadRuntimeLicenseFragment.java#L90 .

The other interesting part to note is that the BrowserFactory is returning the Mozilla class, which could only happen if WebKit.IsInstalled () is false.


11:31 < k170> I keep getting an error in eclipse (luna), every time I try to 
              download and install a new server runtime.
11:33 < k170> The error states that it cannot find libswt-xulrunner-gtk.so
11:33 < k170> as well as libswt-xulrunner-gtk-4430.so
11:34 < k170> I'm running fedora 21 64bit and I have no idea how to install 
              those files

!ENTRY org.eclipse.ui 4 0 2015-04-09 21:52:39.606
!MESSAGE Unhandled event loop exception
!STACK 0
org.eclipse.swt.SWTError: No more handles (java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons: 
	no swt-xulrunner-gtk-4430 in java.library.path
	no swt-xulrunner-gtk in java.library.path
	Can't load library: /home/k170/.swt/lib/linux/x86_64/libswt-xulrunner-gtk-4430.so
	Can't load library: /home/k170/.swt/lib/linux/x86_64/libswt-xulrunner-gtk.so
)
	at org.eclipse.swt.SWT.error(SWT.java:4467)
	at org.eclipse.swt.SWT.error(SWT.java:4356)
	at org.eclipse.swt.browser.Mozilla.initXULRunner(Mozilla.java:2745)
	at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:670)
	at org.eclipse.swt.browser.Browser.<init>(Browser.java:99)
	at org.jboss.tools.runtime.ui.internal.wizard.DownloadRuntimeLicenseFragment.createComposite(DownloadRuntimeLicenseFragment.java:90)
	at org.jboss.tools.foundation.ui.xpl.taskwizard.TaskWizardPage.createControl(TaskWizardPage.java:44)
	at org.jboss.tools.foundation.ui.xpl.taskwizard.TaskWizard.createPageControls(TaskWizard.java:401)
	at org.eclipse.jface.wizard.WizardDialog.createPageControls(WizardDialog.java:759)
	at org.eclipse.jface.wizard.WizardDialog.createContents(WizardDialog.java:622)
	at org.eclipse.jface.window.Window.create(Window.java:435)
	at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1101)
	at org.eclipse.jface.window.Window.open(Window.java:797)
	at org.jboss.tools.as.runtimes.integration.ui.composites.DownloadRuntimeHomeComposite$DownloadAndInstallListener.widgetSelected(DownloadRuntimeHomeComposite.java:75)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:248)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4454)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1388)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1412)
	at org.eclipse.swt.widgets.Widget.sendSelectionEvent(Widget.java:1526)
	at org.eclipse.swt.widgets.Link.gtk_button_release_event(Link.java:372)
	at org.eclipse.swt.widgets.Widget.windowProc(Widget.java:2078)
	at org.eclipse.swt.widgets.Control.windowProc(Control.java:5539)
	at org.eclipse.swt.widgets.Display.windowProc(Display.java:4668)
	at org.eclipse.swt.internal.gtk.OS._gtk_main_do_event(Native Method)
	at org.eclipse.swt.internal.gtk.OS.gtk_main_do_event(OS.java:9106)
	at org.eclipse.swt.widgets.Display.eventProc(Display.java:1253)
	at org.eclipse.swt.internal.gtk.OS._g_main_context_iteration(Native Method)
	at org.eclipse.swt.internal.gtk.OS.g_main_context_iteration(OS.java:2477)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3407)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:832)
	at org.eclipse.jface.window.Window.open(Window.java:808)
	at org.eclipse.wst.server.ui.internal.actions.LaunchWizardAction.run(LaunchWizardAction.java:57)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:519)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:595)
	at org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:511)
	at org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:420)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4454)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1388)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3799)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3409)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1151)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1032)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:148)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:636)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:579)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:135)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
Caused by: java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons: 
	no swt-xulrunner-gtk-4430 in java.library.path
	no swt-xulrunner-gtk in java.library.path
	Can't load library: /home/k170/.swt/lib/linux/x86_64/libswt-xulrunner-gtk-4430.so
	Can't load library: /home/k170/.swt/lib/linux/x86_64/libswt-xulrunner-gtk.so

	at org.eclipse.swt.internal.Library.loadLibrary(Library.java:321)
	at org.eclipse.swt.internal.Library.loadLibrary(Library.java:242)
	at org.eclipse.swt.browser.Mozilla.initXULRunner(Mozilla.java:2743)
	... 61 more

Comment 1 Alexander Kurtakov 2015-04-14 06:39:51 UTC
SWT xulrunner browser backend is not buildable against xulrunner versions shipped with fedora thus we do not ship it. Supporting it would require significant investment as xulrunner upstream breaks api with pretty much every release (3 months). This combined with Fedora actively backporting firefox(xulrunner is now kind of internal lib) will make rebuilding eclipse broken after almost every firefox update. Thus Fedora Eclipse doesn't ship xulrunner for years.

Comment 2 Alexander Kurtakov 2015-04-14 07:06:49 UTC
Mat, BrowserFactory.createWebBrowser() have to be changed to always "return new WebKit()" as we can't support mozilla. Would you please take care of fixing it in all supported branches?

Comment 3 Fedora End Of Life 2015-11-04 12:41:30 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 11:00:25 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Mat Booth 2015-12-03 15:00:20 UTC
Re-opening, this probably still needs looking at...

Comment 6 Jan Kurik 2015-12-22 11:29:56 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Comment 7 Mat Booth 2015-12-22 12:15:05 UTC
Keeping open per comment 5

Comment 8 Fedora Update System 2016-05-03 10:14:45 UTC
ecj-4.5.2-3.fc24 eclipse-4.6.0-0.5.git201604261105.fc24 eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24 eclipse-egit-4.3.0-2.fc24 eclipse-jgit-4.3.0-2.fc24 eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24 tycho-0.25.0-3.fc24 tycho-extras-0.25.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 9 Fedora Update System 2016-05-05 09:54:45 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.5.git201604261105.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 10 Fedora Update System 2016-05-06 10:04:01 UTC
ecj-4.5.2-3.fc24 eclipse-4.6.0-0.5.git201604261105.fc24 eclipse-cdt-9.0.0-0.3.git0b93e81.fc24 eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24 eclipse-ecf-3.13.1-1.fc24 eclipse-eclemma-2.3.3-2.fc24 eclipse-egit-4.3.0-2.fc24 eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24 eclipse-jgit-4.3.0-2.fc24 eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24 eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24 eclipse-photran-9.1.0-3.fc24 eclipse-ptp-9.0.2-2.fc24 eclipse-pydev-4.6.0-1.fc24 eclipse-swtbot-2.4.0-2.fc24 tycho-0.25.0-3.fc24 tycho-extras-0.25.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 11 Fedora Update System 2016-05-07 17:27:25 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.5.git201604261105.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 12 Fedora Update System 2016-05-12 07:42:50 UTC
ecj-4.5.2-3.fc24 eclipse-4.6.0-0.6.git201605092000.fc24 eclipse-cdt-9.0.0-0.3.git0b93e81.fc24 eclipse-e4-importer-0.2.0-0.1.git8af671a.fc24 eclipse-ecf-3.13.1-1.fc24 eclipse-eclemma-2.3.3-2.fc24 eclipse-egit-4.3.0-2.fc24 eclipse-emf-2.12.0-0.1.git2021583.fc24 eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24 eclipse-jgit-4.3.0-2.fc24 eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24 eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24 eclipse-photran-9.1.0-3.fc24 eclipse-ptp-9.0.2-2.fc24 eclipse-pydev-4.6.0-1.fc24 eclipse-swtbot-2.4.0-2.fc24 tycho-0.25.0-3.fc24 tycho-extras-0.25.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 13 Fedora Update System 2016-05-15 06:58:00 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.6.git201605092000.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-emf-2.12.0-0.1.git2021583.fc24, eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa301aab71

Comment 14 Fedora Update System 2016-05-20 17:42:35 UTC
ecj-4.5.2-3.fc24, eclipse-4.6.0-0.6.git201605092000.fc24, eclipse-cdt-9.0.0-0.3.git0b93e81.fc24, eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24, eclipse-ecf-3.13.1-1.fc24, eclipse-eclemma-2.3.3-2.fc24, eclipse-egit-4.3.0-2.fc24, eclipse-emf-2.12.0-0.1.git2021583.fc24, eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24, eclipse-jgit-4.3.0-2.fc24, eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24, eclipse-linuxtools-5.0.0-0.1.gitc2364c0.fc24, eclipse-photran-9.1.0-3.fc24, eclipse-ptp-9.0.2-2.fc24, eclipse-pydev-4.6.0-1.fc24, eclipse-swtbot-2.4.0-2.fc24, tycho-0.25.0-3.fc24, tycho-extras-0.25.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.